Page MenuHomePhabricator

Upgrade Puppeteer to 1.9.0
Closed, ResolvedPublic

Description

New puppeteer version available: 1.8.0 - There are some changes for js response handling permissions, mocking geolocationApi and adding referrer as an argument. More detailed change log is available on 1.8.0 release page

Most important - we could use is PUPPETEER_EXECUTABLE_PATH that can override the path to the chromium executable. We could drop our CHROME_BIN environment variable.

There is a patch in flight Version 1.8.0 will be merged once we find out whats causing Puppeteer to stop sending Host header, most probably we will downgrade puppeteer lib to 1.6.0 for now (as this is last know version that didn't cause missing Host header issues.

Update: There is 1.9.0

Related Objects

StatusSubtypeAssignedTask
OpenNone
ResolvedNone
ResolvedBawolff
Resolvedphuedx
Resolvedmobrovac
Resolvedmobrovac
Resolvedphuedx
ResolvedJdrewniak
Resolvedphuedx
Resolvedphuedx
Resolvedphuedx
Resolvedphuedx
DeclinedNone
Resolvedbmansurov
Resolvedmobrovac
Resolvedovasileva
InvalidNone
ResolvedJdlrobson
Resolvedphuedx
Resolvedphuedx
Resolvedholger.knust
ResolvedTgr
Resolvedjijiki
ResolvedMSantos
Resolvedmobrovac
Resolvedovasileva
Resolvedphuedx
Declinedpmiazga
ResolvedDzahn
Resolvedpmiazga
Duplicateholger.knust
ResolvedMSantos
ResolvedTgr
ResolvedJohan
OpenNone
OpenNone
InvalidNone
Resolvedmobrovac
Resolvedpmiazga

Event Timeline

Jdlrobson triaged this task as High priority.Oct 18 2018, 8:23 PM
Jdlrobson created this task.
Restricted Application edited projects, added Services; removed Services (blocked). · View Herald TranscriptOct 18 2018, 8:23 PM

Change 461366 had a related patch set uploaded (by Jdlrobson; owner: Pmiazga):
[mediawiki/services/chromium-render@master] Update puppeteer to latest 1.9.0

https://gerrit.wikimedia.org/r/461366

Change 461366 merged by Mobrovac:
[mediawiki/services/chromium-render@master] Update puppeteer to latest 1.9.0

https://gerrit.wikimedia.org/r/461366

Mentioned in SAL (#wikimedia-operations) [2018-10-22T17:38:45Z] <mobrovac@deploy1001> Started deploy [proton/deploy@b3e254a]: Update Puppeteer to v1.9.0 - T207416

Mentioned in SAL (#wikimedia-operations) [2018-10-22T17:40:19Z] <mobrovac@deploy1001> Finished deploy [proton/deploy@b3e254a]: Update Puppeteer to v1.9.0 - T207416 (duration: 01m 34s)

mobrovac closed this task as Resolved.Oct 22 2018, 5:46 PM

New version deployed. No problems so far.